Page MenuHomePhabricator

update mysql GRANTs for testreduce
Closed, ResolvedPublic

Description

We have an existing MySQL database called testreduce on m5-master.

A user also called testreduce is allowed to connect from the host scandium.eqiad.wmnet.

What we would need for the parent task is to also allow it to connect from the new host testreduce1001.eqiad.wmnet. Same user, same db, same password.

Event Timeline

Dzahn created this task.Aug 17 2020, 10:55 PM
[scandium:~] $ mysql -h m5-master.eqiad.wmnet -u testreduce -p testreduce
Enter password: 
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
...

[testreduce1001:/] $ mysql -h m5-master.eqiad.wmnet -u testreduce -p testreduce
Enter password: 
ERROR 1045 (28000): Access denied for user 'testreduce'@'10.64.48.40' (using password: YES)

So this is everything in modules/role/templates/mariadb/grants/production-m5.sql.erb that refers to testreduce (line 5 to 48).

Please make that work the same way from the new IP.

Nothing in that file lists the IP of scandium though, it's all dbproxy IPs already so maybe that means it just needs to be allowed in haproxy on the dbproxy machines and not actual GRANTs.

jijiki moved this task from Incoming 🐫 to Unsorted on the serviceops board.Aug 17 2020, 11:44 PM
jijiki moved this task from Unsorted to Active on the serviceops board.Aug 18 2020, 6:42 AM
jijiki moved this task from Active to Incoming 🐫 on the serviceops board.Aug 18 2020, 6:58 AM
Kormat added a subscriber: Kormat.Aug 18 2020, 7:39 AM

Hi, i've created the new grants. Please test and let me know if there are any issues. Cheers.

Change 620893 had a related patch set uploaded (by Kormat; owner: Kormat):
[operations/puppet@production] mariadb: Add m5 testreduce grants for testreduce1001

https://gerrit.wikimedia.org/r/620893

Change 620893 merged by Kormat:
[operations/puppet@production] mariadb: Add m5 testreduce grants for testreduce1001

https://gerrit.wikimedia.org/r/620893

Dzahn closed this task as Resolved.Aug 19 2020, 6:40 PM

Hi, i've created the new grants. Please test and let me know if there are any issues. Cheers.

Thank you for the very quick response. I confirm it's working for me from the new host now. Resolving :)